cdac.medinfo.sdk.hl7282.hl7model.messages.patientreferral

## Class RPL_I02

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.messages.Message
  - - cdac.medinfo.sdk.hl7282.hl7model.messages.patientreferral.RPL_I02

-     public final class RPL_I02
      extends Message

  RPL_I02 - Return Patient Display List (Event I02) This message is use when the inquirer specifies a request for a name lookup listing. Generally, this request is used by the responder when insufficient data is on hand for a positive match.

  Represents a RPL_I02 message structure (see chapter 11.3.2). This structure contains the following elements:

  0: MSH (Message Header Segment) SINGLE_COMPULSARY
  1: SFT (Software Segment) MULTIPLE_OPTIONAL
  2: UAC (User Authentication Credential) SINGLE OPTIONAL
  3: MSA (Message Acknowledgment Segment) SINGLE_COMPULSARY
  4: PROVIDER (a Group in RPL_I02 message) MULTIPLE_COMPULSARY
  5: NTE (Notes and Comments Segment) MULTIPLE_OPTIONAL
  6: DSP (Display Data Segment) MULTIPLE_OPTIONAL
  7: DSC (Continuation Pointer Segment) SINGLE_OPTIONAL
  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. These elements can be easily populated & populated values can be easily retrieved. The class has validate method which validates Message against HL7 v 2.8.2 standard.

  Following is the step to create message
  Before that, respective Message Source and Message Recipient to be set on Message Factory.

  RPL_I02 objI02 = (RPL_I02)MessageFactory.createInstance().createSendSupportedMessage("RPL", "I02");

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addDisplayDataSegment(DSP objDSP)` Adds DisplayData Segment(DSP) to this message.
    `void` | `addDisplayDataSegments(ISingleCollection<DSP> objDSPSegmentCollection)` Adds collection of DisplayData Segment(DSP) to this message.
    `void` | `addNotesAndCommentsSegment(NTE objNTE)` Adds Notes and Comments Segment(NTE) to this message.
    `void` | `addNotesAndCommentsSegments(ISingleCollection<NTE> objNTESegmentCollection)` Adds collection of Notes and Comments Segment(NTE) to this message.
    `void` | `addProviderGroup(IGroup objGroup)` Adds Provider GROUP to this message.
    `void` | `addProviderGroups(ISingleCollection<IGroup> objSingleCollection)` Adds Collection of PROVIDER GROUP to this message.
    `void` | `addSoftwareSegment(ISingleCollection<SFT> objSFTSegmentCollection)` Adds collection of Software Segment(SFT) to this message.
    `void` | `addSoftwareSegment(SFT objSFT)` Adds Software Segment(SFT) to this message.
    `DSC` | `getContinuationPointerSegment()` Retrieves Continuation Pointer(DSC) segment present in this message
    `ISingleCollection<DSP>` | `getDisplayDataSegments()` Retrieves Collection of DisplayData Segments(DSP) present in this message.
    `MSA` | `getMessageAcknowledgmentSegment()` Retrieves Message Acknowledgment(MSA) segment present in this message
    `ISingleCollection<NTE>` | `getNotesAndCommentsSegments()` Retrieves Collection of Notes and Comments Segments(NTE) present in this message.
    `ISingleCollection<IGroup>` | `getProviderGroups()` Retrieves Collection of PROVIDER GROUP present in this message.
    `ISingleCollection<SFT>` | `getSoftwareSegments()` Retrieves Collection of Software Segments(SFT) present in this message.
    `UAC` | `getUserAuthenticationCredentialSegment()` Retrieves User Authentication Credential(UAC) segment present in this message
    `void` | `setContinuationPointerSegment(DSC objDSC)` Sets value of Continuation Pointer segment for this message,overwrites if already present.
    `void` | `setMessageAcknowledgmentSegment(MSA objMSA)` Sets value of Message Acknowledgment segment for this message,overwrites if already present.
    `void` | `setUserAuthenticationCredentialSegment(UAC objUAC)` Sets value of User Authentication Credential segment for this message,overwrites if already present.

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.messages.Message

      `contains, dumpMessage, dumpMessage, getACKMode, getGroup, getGroupMap, getHeader, getMessageCode, getMessageControlID, getMessageStructure, getQueryUserParameters, getSegment, getSegmentSet, getSubscriptionType, getTriggerEvent, isQuery, isResponse, populate, removeGroup, removeSegment, removeSegment, removeSegmentAttribute, removeSegmentAttribute, removeSegmentAttribute, removeSegments, setHeader, setSubscriptionType, updateSegmentAttribute, updateSegmentAttribute, validate, writeToXML, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getSoftwareSegments

          public ISingleCollection<SFT> getSoftwareSegments()

      Retrieves Collection of Software Segments(SFT) present in this message.
      Returns:
        ISingleCollection - Collection of Software Segments(SFT) present in this message.

    - #### addSoftwareSegment

          public void addSoftwareSegment(SFT objSFT)

      Adds Software Segment(SFT) to this message.
      Parameters:
        `objSFT` - Specified Software Segment(SFT) to be added in this messageto this message.

    - #### addSoftwareSegment

          public void addSoftwareSegment(ISingleCollection<SFT> objSFTSegmentCollection)

      Adds collection of Software Segment(SFT) to this message.
      Parameters:
        `objSFTSegmentCollection` - Collection of Software Segments to add in this message

    - #### getUserAuthenticationCredentialSegment

          public UAC getUserAuthenticationCredentialSegment()

      Retrieves User Authentication Credential(UAC) segment present in this message
      Returns:
        UAC - Specified UAC Segment

    - #### setUserAuthenticationCredentialSegment

          public void setUserAuthenticationCredentialSegment(UAC objUAC)

      Sets value of User Authentication Credential segment for this message,overwrites if already present.
      Parameters:
        `objUAC` - Specified UAC Segment

    - #### getMessageAcknowledgmentSegment

          public MSA getMessageAcknowledgmentSegment()

      Retrieves Message Acknowledgment(MSA) segment present in this message
      Returns:
        MSA - the Message Acknowledgment Segment present in this message or null if unavailable.

    - #### setMessageAcknowledgmentSegment

          public void setMessageAcknowledgmentSegment(MSA objMSA)

      Sets value of Message Acknowledgment segment for this message,overwrites if already present.
      Parameters:
        `objMSA` - Specified Message Acknowledgment Segment

    - #### getProviderGroups

          public ISingleCollection<IGroup> getProviderGroups()

      Retrieves Collection of PROVIDER GROUP present in this message.
      Returns:
        ISingleCollection - Collection of PROVIDER Group present

    - #### addProviderGroups

          public void addProviderGroups(ISingleCollection<IGroup> objSingleCollection)

      Adds Collection of PROVIDER GROUP to this message.
      Parameters:
        `objSingleCollection` - Specified PROVIDER GROUP Collection.

    - #### addProviderGroup

          public void addProviderGroup(IGroup objGroup)

      Adds Provider GROUP to this message.
      Parameters:
        `objGroup` - Specified Provider GROUP.

    - #### getNotesAndCommentsSegments

          public ISingleCollection<NTE> getNotesAndCommentsSegments()

      Retrieves Collection of Notes and Comments Segments(NTE) present in this message.
      Returns:
        ISingleCollection - Collection of Notes and Comments Segments(NTE) present in this message.

    - #### addNotesAndCommentsSegment

          public void addNotesAndCommentsSegment(NTE objNTE)

      Adds Notes and Comments Segment(NTE) to this message.
      Parameters:
        `objNTE` - Specified Notes and Comments Segment(NTE)to this message.

    - #### addNotesAndCommentsSegments

          public void addNotesAndCommentsSegments(ISingleCollection<NTE> objNTESegmentCollection)

      Adds collection of Notes and Comments Segment(NTE) to this message.
      Parameters:
        `objNTESegmentCollection` - Collection of Notes and Comments Segments to add in this message

    - #### getDisplayDataSegments

          public ISingleCollection<DSP> getDisplayDataSegments()

      Retrieves Collection of DisplayData Segments(DSP) present in this message.
      Returns:
        ISingleCollection - Collection of DisplayData Segments(DSP) present in this message.

    - #### addDisplayDataSegment

          public void addDisplayDataSegment(DSP objDSP)

      Adds DisplayData Segment(DSP) to this message.
      Parameters:
        `objDSP` - Specified DisplayData Segment(DSP)to this message.

    - #### addDisplayDataSegments

          public void addDisplayDataSegments(ISingleCollection<DSP> objDSPSegmentCollection)

      Adds collection of DisplayData Segment(DSP) to this message.
      Parameters:
        `objDSPSegmentCollection` - Collection of DisplayData Segments to add in this message

    - #### getContinuationPointerSegment

          public DSC getContinuationPointerSegment()

      Retrieves Continuation Pointer(DSC) segment present in this message
      Returns:
        DSC - the Continuation Pointer Segment present in this message or null if unavailable.

    - #### setContinuationPointerSegment

          public void setContinuationPointerSegment(DSC objDSC)

      Sets value of Continuation Pointer segment for this message,overwrites if already present.
      Parameters:
        `objDSC` - Specified Continuation Pointer Segment